## r-bioc-assorthead 1.0.1%2Bds

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/assorthead.html .*/assorthead_(.*).tar.gz

## r-bioc-assorthead 1.0.1+ds

=== DESCRIPTION ===
Package: assorthead
Version: 1.0.1
Date: 2024-11-26
Title: Assorted Header-Only C++ Libraries
Authors@R: person("Aaron", "Lun", role=c("cre", "aut"), email="infinite.monkeys.with.keyboards@gmail.com")
Description: 
    Vendors an assortment of useful header-only C++ libraries.
    Bioconductor packages can use these libraries in their own C++ code by LinkingTo this package without introducing any additional dependencies.
    The use of a central repository avoids duplicate vendoring of libraries across multiple R packages,
    and enables better coordination of version updates across cohorts of interdependent C++ libraries.
License: MIT + file LICENSE
Suggests: knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
URL: https://github.com/LTLA/assorthead
BugReports: https://github.com/LTLA/assorthead/issues
Encoding: UTF-8
biocViews: SingleCell, QualityControl, Normalization,
        DataRepresentation, DataImport, DifferentialExpression,
        Alignment
git_url: https://git.bioconductor.org/packages/assorthead
git_branch: RELEASE_3_20
git_last_commit: 4aa4462
git_last_commit_date: 2024-11-27
Repository: Bioconductor 3.20
Date/Publication: 2024-11-28
NeedsCompilation: no
Packaged: 2024-11-28 21:10:59 UTC; biocbuild
Author: Aaron Lun [cre, aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-assorthead (1.0.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 20:21:22 +0100

r-bioc-assorthead (1.0.1+ds-1) experimental; urgency=medium

  * Initial release (closes: #1088299)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 14:06:39 +0100

=== debian/control ===
Source: r-bioc-assorthead
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libhnswlib-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-assorthead
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-assorthead.git
Rules-Requires-Root: no
Homepage: https://bioconductor.org/packages/assorthead/

Package: r-bioc-assorthead
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libhnswlib-dev
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Assorted Header-Only C++ Libraries
 Vendors an assortment of useful header-only C++ libraries. Bioconductor
 packages can use these libraries in their own C++ code by LinkingTo this
 package without introducing any additional dependencies. The use of a
 central repository avoids duplicate vendoring of libraries across
 multiple R packages, and enables better coordination of version updates
 across cohorts of interdependent C++ libraries.
 .
 This package is a subset containing only that code needed by other Debian
 Bioconductor packages:
 .
   - aarand, "Lightweight random distribution functions"
   - annoy, "Approximate nearest neighbors oh yeah"
   - kmeans, "C++ port of `stats::kmeans` with various initialization methods"
   - knncolle, "C++ API for nearest-neighbor searches"
   - knncolle_annoy, "**knncolle** extension for Annoy"
   - knncolle_hnsw, "**knncolle** extension for HNSW"
   - manticore, "Execute arbitrary functions on the main thread"
   - scran_graph_cluster, "Graph-based clustering for single-cell data"
   - singlepp, "Cell type annotation for single-cell expression data"
   - subpar, "Substitutable parallelization for C++ libraries"
   - tatami, "C++ API for matrix representations"
   - tatami_chunked, "**tatami** extension for chunked matrices"
   - tatami_mult, "Multiplication of **tatami** matrices"
   - tatami_r, "**tatami** extension for R matrices"
   - tatami_stats, "Compute statistics from **tatami** matrices"

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_auto_install:
	find debian -name licenses | xargs rm -Rf
